const APIBase = require("../../api.base");
const system = require("../../../system");
const settings = require("../../../../config/settings");
/**
 * 用户端调用订单相关接口
 */
class Template extends APIBase {
    constructor() {
        super();
        this.templateinfoSve = system.getObject("service.template.templateinfoSve");
        this.templatelinkSve = system.getObject("service.template.templatelinkSve");
        this.formsubmitrecordSve= system.getObject("service.configmag.formsubmitrecordSve");
    }
    /**
      * 接口跳转-POST请求
      * action_process  执行的流程
      * action_type     执行的类型
      * action_body     执行的参数
      */
    async springBoard(pobj, qobj, req) {
        if (!pobj.actionType) {
            return system.getResult(null, "actionType参数不能为空");
        }
        var result = await this.opActionProcess(pobj, pobj.actionType, req);
        return result;
    }
    async opActionProcess(pobj, action_type, req) {
        var opResult = null;
        var self = this;
        pobj.clientIp = req.clientIp;
        pobj.xctx = req.xctx;
        switch (action_type) {
            case "editTemplateContent"://修改模板内容
                opResult = await this.templateinfoSve.editTemplateContent(pobj);
                break;
            case "findOneByCode"://模板查询
                opResult = await this.templateinfoSve.getTemplateInfoByCode(pobj);
                break;
            case "getTemplateAndLinkInfo"://根据链接参数获取模板链接信息
                opResult = await this.templatelinkSve.getTemplateAndLinkInfo2(pobj);
                break;
            case "submitFormRecord"://提交表单记录
                opResult = await this.formsubmitrecordSve.submitFormRecord(pobj);
                break;
            default:
                opResult = system.getResult(null, "action_type参数错误");
                break;
        }
        return opResult;
    }

}
module.exports = Template;
